package com.elab.log.utils;

import com.dianping.cat.Cat;
import com.dianping.cat.message.Event;
import com.elab.core.utils.ObjectUtils;

/**
 * @describe ：日志事件写入
 * @Author ： liukx
 * @time ： 2019/1/25 - 11:07
 */
public class EventProcessUtils {

    /**
     * 写入Event事件
     *
     * @param key
     * @param value
     */
    public static void write(String key, String value) {
        Cat.logEvent(key, value, Event.SUCCESS, null);
    }

    /**
     * 插入一个Event失败的事件
     *
     * @param key
     * @param value
     */
    public static void writeFail(String key, String value) {
        Cat.logEvent(key, value, "1", null);
    }

    /**
     * 第三方埋点标记
     *
     * @param url 记录URL地址
     */
    public static void writeThirdParty(String url) {
        if (ObjectUtils.isNotEmpty(url)) {
            String newUrl = url;
            if (url.indexOf("?") > 0) {
                newUrl = url.substring(0, url.indexOf("?"));
            }
            EventProcessUtils.write(CatMsgConstants.THIRD_PARTY, newUrl);
        }
    }


}
